com.independentsoft.exchange

## Class Attendee

- java.lang.Object
- - com.independentsoft.exchange.Attendee

-     public class Attendee
      extends java.lang.Object

  Represents attendees and resources for a meeting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attendee()` Initializes a new instance of the Attendee class.
    `Attendee(Mailbox mailbox)` Initializes a new instance of the Attendee class.
    `Attendee(Mailbox mailbox, ResponseType responseType)` Initializes a new instance of the Attendee class.
    `Attendee(java.lang.String emailAddress)` Initializes a new instance of the Attendee class.
    `Attendee(java.lang.String emailAddress, ResponseType responseType)` Initializes a new instance of the Attendee class.
    `Attendee(java.lang.String emailAddress, java.lang.String name)` Initializes a new instance of the Attendee class.
    `Attendee(java.lang.String emailAddress, java.lang.String name, ResponseType responseType)` Initializes a new instance of the Attendee class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getLastResponseTime()` Gets the date and time of the latest response that is received.
    `Mailbox` | `getMailbox()` Gets a fully resolved e-mail address.
    `ResponseType` | `getResponseType()` Gets the type of recipient response that is received for a meeting.
    `void` | `setMailbox(Mailbox mailbox)` Sets a fully resolved e-mail address.
    `void` | `setResponseType(ResponseType responseType)` Sets the type of recipient response that is received for a meeting.
    `java.lang.String` | `toString()` Converts the value of the current Attendee object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Attendee

          public Attendee()

      Initializes a new instance of the Attendee class.

    - #### Attendee

          public Attendee(Mailbox mailbox)

      Initializes a new instance of the Attendee class.
      Parameters:
        `mailbox` - the mailbox

    - #### Attendee

          public Attendee(java.lang.String emailAddress)

      Initializes a new instance of the Attendee class.
      Parameters:
        `emailAddress` - the email address

    - #### Attendee

          public Attendee(java.lang.String emailAddress,
                          java.lang.String name)

      Initializes a new instance of the Attendee class.
      Parameters:
        `emailAddress` - the email address
        `name` - the name

    - #### Attendee

          public Attendee(Mailbox mailbox,
                          ResponseType responseType)

      Initializes a new instance of the Attendee class.
      Parameters:
        `mailbox` - the mailbox
        `responseType` - the response type

    - #### Attendee

          public Attendee(java.lang.String emailAddress,
                          ResponseType responseType)

      Initializes a new instance of the Attendee class.
      Parameters:
        `emailAddress` - the email address
        `responseType` - the response type

    - #### Attendee

          public Attendee(java.lang.String emailAddress,
                          java.lang.String name,
                          ResponseType responseType)

      Initializes a new instance of the Attendee class.
      Parameters:
        `emailAddress` - the email address
        `name` - the name
        `responseType` - the response type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Attendee object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getMailbox

          public Mailbox getMailbox()

      Gets a fully resolved e-mail address.
      Returns:
        the mailbox

    - #### setMailbox

          public void setMailbox(Mailbox mailbox)

      Sets a fully resolved e-mail address.
      Parameters:
        `mailbox` - the new mailbox

    - #### getResponseType

          public ResponseType getResponseType()

      Gets the type of recipient response that is received for a meeting.
      Returns:
        the response type

    - #### setResponseType

          public void setResponseType(ResponseType responseType)

      Sets the type of recipient response that is received for a meeting.
      Parameters:
        `responseType` - the new response type

    - #### getLastResponseTime

          public java.util.Date getLastResponseTime()

      Gets the date and time of the latest response that is received.
      Returns:
        the last response time